%define snapshot 20040310

%define spam_check_user _spam_check
%define spam_check_group _spam_check
%define spam_check_home %_localstatedir/%name

Name: spam_check
Version: 0.2.5
Release: alt4.%snapshot

Summary: Adaptive spam-blocking tool for Postfix and sendmail
Summary(ru_RU.KOI8-R):        
License: GPL
Group: System/Servers

Url: http://www.opennet.ru/dev/spam_check
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
BuildArch: noarch

Source0: %name-%version.tar.gz
Source1: %name.conf
Source2: %name.clean_dn.conf
Source3: %name.cron
Source4: %name.arc_bl.sh
Source5: %name.arc_bl.conf
Source6: %name.copy_bl.sh
Source7: %name.copy_bl.conf
Source8: %name.logrotate
Source9: %name.init
Source20: %name.README.ALT

BuildRequires: perl-BerkeleyDB, perl-File-Tail, perl-base

%description
Adaptive spam-blocking tool for postfix and sendmail

%description -l ru_RU.KOI8-R
       .

    :
    -       ,   
          ;
    -    (   5   ,   3,
      : bzq-218-1-51.cable.test.com).
    -       
      (: client, dial, dsl, cable, pool, ppp);
    -      (   
        -    ).

%prep
%setup -q

%install
install -pD -m0755 spam_check.pl %buildroot%_sbindir/%name.pl
install -pD -m0755 util/access2rbldns.pl %buildroot%_sbindir/access2rbldns.pl
install -pD -m0755 util/rbldns2access.pl %buildroot%_sbindir/rbldns2access.pl
install -pD -m0755 util/clean_dn.pl %buildroot%_sbindir/clean_dn.pl
install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/%name/%name.conf
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/%name/clean_dn.conf
install -pD -m0644 %SOURCE3 %buildroot%_sysconfdir/cron.d/%name
install -pD -m0755 %SOURCE4 %buildroot%_sbindir/arc_bl.sh
install -pD -m0644 %SOURCE5 %buildroot%_sysconfdir/%name/arc_bl.conf
install -pD -m0755 %SOURCE6 %buildroot%_sbindir/copy_bl.sh
install -pD -m0644 %SOURCE7 %buildroot%_sysconfdir/%name/copy_bl.conf
install -pD -m0644 %SOURCE8 %buildroot%_sysconfdir/logrotate.d/%name
install -pD -m0755 %SOURCE9  %buildroot%_initdir/%name
install -pD -m0644 %SOURCE20 README.ALT
install -d -m1771 %buildroot%_sysconfdir/%name/blocklist
install -d -m1771 %buildroot%_var/log/%name
install -d -m1771 %buildroot%_localstatedir/%name

%pre
/usr/sbin/groupadd -r -f %spam_check_group ||:
/usr/sbin/useradd -g %spam_check_group -G adm -c 'The spam_check pseudouser' \
	-d %spam_check_home -s /dev/null -r %spam_check_user >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/*
%_initdir/%name
%config(noreplace) %_sysconfdir/%name/*.conf
%config(noreplace) %_sysconfdir/cron.d/%name
%config(noreplace) %_sysconfdir/logrotate.d/%name
%dir %_sysconfdir/%name
%dir %attr(1771,root,%spam_check_group) %_sysconfdir/%name/blocklist
%dir %attr(1771,root,%spam_check_group) %_var/log/%name
%dir %attr(1771,root,%spam_check_group) %_localstatedir/%name
%doc CHANGES README* TODO dsl_stoplist.txt law_notes.txt tech_notes.txt unknown_notes.txt

%changelog
* Mon Jan 15 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.2.5-alt4.20040310
- Now we use config variable $postmap in *_bl.sh , don't call postmap(1)
  directly because it generates dependency on postfix (Closes: #10660)
- Removed #!/usr/bin/perl headers from config files

* Tue Dec 05 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.2.5-alt3.20040310
- Implemented initscript for work in tail-mode (Closes: #10302)
- Integrate patches into source-tree of 'master' branch

* Tue Aug 01 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.2.5-alt2.20040310
- Added spam_check-0.2.5-alt-sendmail.patch for fix access table format when
  used with sendmail (submitted by combr@)

* Thu Jun 29 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.2.5-alt1.20040310
- Initial build for Sisyphus 
